# $Revision: 1.32 $, $Date: 2008/07/27 22:30:00 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Convert
%define		pnam	TNEF
Summary:	Convert::TNEF - Perl module to read TNEF files
Summary(pl.UTF-8):	Convert::TNEF - moduł Perla do odczytu plików TNEF
Name:		perl-Convert-TNEF
Version:	0.17
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	31cddf42fae9495b4a686b17ec68d7e0
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-MIME-tools
BuildRequires:	perl(MIME::Body) >= 4.109
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TNEF stands for Transport Neutral Encapsulation Format, and if you've
ever been unfortunate enough to receive one of these files as an email
attachment, you may want to use the Convert::TNEF Perl module.

%description -l pl.UTF-8
TNEF oznacza niezależny od transportu format enkapsulacji (Transport
Neutral Encapsulation Format) i jeśli otrzyma się jeden z takich
plików jako załącznik w e-mailu, może zaistnieć potrzeba posłużenia
się modułem Perla Convert::TNEF.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{_mandir}/man3/*
%{perl_vendorlib}/Convert/TNEF.pm

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Convert-TNEF.spec,v $
Revision 1.32  2008/07/27 22:30:00  arekm
- release 5

Revision 1.31  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.30  2007/02/12 00:49:27  baggins
- converted to UTF-8

Revision 1.29  2004/11/03 22:30:11  paladine
- formatting

Revision 1.28  2004/05/07 00:38:11  ankry
- rel. 4

Revision 1.27  2004/05/06 18:09:22  ankry
- fixed perl-devel BR

Revision 1.26  2004/04/25 15:27:10  ankry
- tests added

Revision 1.25  2004/04/18 22:17:10  ankry
- license fixes and cosmetics

Revision 1.24  2004/02/25 23:12:44  undefine
- release 3 to allow upgrade from RA

Revision 1.23  2003/09/09 10:24:30  ankry
- spaces -> tab

Revision 1.22  2003/08/18 08:08:34  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.21  2003/05/28 13:00:30  malekith
- massive attack: source-md5

Revision 1.20  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.19  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.18  2003/03/01 18:46:08  radek
- should be ready for perl-5.8.0; release++

Revision 1.17  2003/02/25 00:37:41  radek
- use the __perl macro

Revision 1.16  2003/02/18 15:28:33  ankry
- massive attack: change CPAN URLs

Revision 1.15  2002/07/20 10:17:53  qboosh
- BR: perl-MIME-tools

Revision 1.14  2002/07/11 10:51:19  qboosh
- new %%doc and cosmetics

Revision 1.13  2002/07/11 07:57:51  depesz
- new version; should work; STBR

Revision 1.12  2002/07/10 08:46:45  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.11  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.10  2002/02/25 10:30:12  depesz
cleanup; revision++

Revision 1.9  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/02/13 14:10:31  depesz
automatic: Source location unfied, Relase Up

Revision 1.7  2002/02/10 15:24:42  depesz
adapterized

Revision 1.6  2002/01/18 02:14:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/12/12 09:28:01  qboosh
- pl translations

Revision 1.4  2001/11/28 15:20:15  mis
- buildarch noarch; release++

Revision 1.3  2001/08/02 08:26:24  mis
- autoupdated to 0.16

Revision 1.2  2001/05/30 13:36:21  mis
- autoupdated to 0.12

Revision 1.1  2001/04/30 14:59:01  baggins
- initial revision
